/*
 * Class ACTIVE [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_650 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_650 [] = {0xFF01,237,649,182,0xFFFF};
static const EIF_TYPE_INDEX egt_2_650 [] = {0xFF01,649,182,0xFFFF};
static const EIF_TYPE_INDEX egt_3_650 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_650 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_650 [] = {0xFF01,649,182,0xFFFF};
static const EIF_TYPE_INDEX egt_6_650 [] = {0xFF01,649,182,0xFFFF};
static const EIF_TYPE_INDEX egt_7_650 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_650 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_650 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_650 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_650 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_650 [] = {649,182,0xFFFF};
static const EIF_TYPE_INDEX egt_13_650 [] = {0xFF01,649,182,0xFFFF};
static const EIF_TYPE_INDEX egt_14_650 [] = {0xFF01,647,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_650 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_650[] = {
	{EIF_GENERIC(NULL), 2006, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_650), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_650), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_650), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_650), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_650), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_650), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_650), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_650), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_650), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_650), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_650), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_650), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_650), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_650), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1901, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1902, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1904, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_650), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_650), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1953, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1954, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1955, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_650), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init650(void)
{
	IDSC(desc_650, 0, 649);
	IDSC(desc_650 + 1, 1, 649);
	IDSC(desc_650 + 32, 77, 649);
	IDSC(desc_650 + 41, 282, 649);
	IDSC(desc_650 + 50, 243, 649);
	IDSC(desc_650 + 56, 229, 649);
}


#ifdef __cplusplus
}
#endif
